alter trigger dbo.tr_Department_Delete
on dbo.Department
for delete
as 
begin
    set nocount on

    insert into dbo.DepartmentHistory (HistoryType, DepartmentID, Name, Description, ModifiedDate, ModifiedUserName, ModifiedLoggedUserName)
    select 'D', ID, Name, Description, getutcdate(), ModifiedUserName, ModifiedLoggedUserName
    from deleted
end